#!/bin/bash

# Boot the emulated system to a shell prompt.

ARCH=m68k
run_emulator()
{
  [ ! -z "$DEBUG" ] && set -x
  qemu-system-m68k -M q800 -nographic -no-reboot -kernel linux -initrd rootfs.cpio.gz -append "panic=1 console=ttyS0 HOST=m68k $KERNEL_EXTRA" $QEMU_EXTRA
}

if [ "$1" != "--norun" ]
then
  run_emulator
fi
